import React from "react";
import { ScriptProps } from "next/script.js";
type ReCaptchaConfigProps = {
    /** reCAPTCHA_site_key */
    readonly reCaptchaKey: string | null;
    /** Language code */
    readonly language: string | null;
    /** Use ReCaptcha Enterprise */
    readonly useEnterprise: boolean;
    /** Whether to use recaptcha.net for loading the script */
    readonly useRecaptchaNet: boolean;
};
type ReCaptchaStateProps = {
    /** If `true`, ReCaptcha script has been loaded */
    readonly isLoaded: boolean;
    /** If `true`, an error occurred while loading ReCaptcha script */
    readonly isError: boolean;
    /** Error received while loading ReCaptcha script */
    readonly error: Error | null;
};
export type ReCaptchaContextProps = ReCaptchaConfigProps & ReCaptchaStateProps;
export declare const ReCaptchaContext: React.Context<ReCaptchaContextProps>;
export declare const useReCaptchaContext: () => ReCaptchaContextProps;
export interface ReCaptchaProviderProps extends Partial<ScriptProps> {
    reCaptchaKey?: string;
    language?: string | null;
    useRecaptchaNet?: boolean;
    useEnterprise?: boolean;
    children?: React.ReactNode;
}
export declare const ReCaptchaProvider: React.FC<ReCaptchaProviderProps>;
export {};
