import { IReCaptcha } from "./recaptcha.types.js";
export declare const RECAPTCHA_LOADED_EVENT = "recaptcha_loaded";
/**
 * Function to generate the src for the script tag
 * Refs: https://developers.google.com/recaptcha/docs/loading
 */
export declare const getRecaptchaScriptSrc: ({ reCaptchaKey, language, useRecaptchaNet, useEnterprise, }?: {
    reCaptchaKey?: string | null;
    language?: string | null;
    useRecaptchaNet?: boolean;
    useEnterprise?: boolean;
}) => string;
export declare const getGrecaptcha: (useEnterprise?: boolean) => IReCaptcha | null;
/**
 * Hook to get the grecaptcha object
 * @param useEnterprise - Use ReCaptcha Enterprise
 */
export declare const useGrecaptcha: (useEnterprise?: boolean) => IReCaptcha | null;
